package com.yuanli.yingsixiangce.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.yuanli.yingsixiangce.di.module.MiMaModule;
import com.yuanli.yingsixiangce.mvp.contract.MiMaContract;

import com.jess.arms.di.scope.ActivityScope;
import com.yuanli.yingsixiangce.mvp.ui.activity.MiMaActivity;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 10/22/2021 15:26
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@ActivityScope
@Component(modules = MiMaModule.class, dependencies = AppComponent.class)
public interface MiMaComponent {
    void inject(MiMaActivity activity);

    @Component.Builder
    interface Builder {
        @BindsInstance
        MiMaComponent.Builder view(MiMaContract.View view);

        MiMaComponent.Builder appComponent(AppComponent appComponent);

        MiMaComponent build();
    }
}