package com.yuanli.yingsixiangce.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.yuanli.yingsixiangce.di.module.MimaGuanliModule;
import com.yuanli.yingsixiangce.mvp.contract.MimaGuanliContract;

import com.jess.arms.di.scope.ActivityScope;
import com.yuanli.yingsixiangce.mvp.ui.activity.MimaGuanliActivity;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 10/22/2021 14:59
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@ActivityScope
@Component(modules = MimaGuanliModule.class, dependencies = AppComponent.class)
public interface MimaGuanliComponent {
    void inject(MimaGuanliActivity activity);

    @Component.Builder
    interface Builder {
        @BindsInstance
        MimaGuanliComponent.Builder view(MimaGuanliContract.View view);

        MimaGuanliComponent.Builder appComponent(AppComponent appComponent);

        MimaGuanliComponent build();
    }
}